Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.bootstrap.tsl.signature
Class TrustServiceStatusListSignatureVerifier

    java.lang.Object
      be.fgov.ehealth.technicalconnector.bootstrap.tsl.signature.TrustServiceStatusListSignatureVerifier

    public final class TrustServiceStatusListSignatureVerifier

extends Object

Signature verifier for the TSL list

Field Summary
`static String` | `PROP_TSL_STORELOCATION` Property for setting the location of the TSL verification truststore
`static String` | `PROP_TSL_STOREPWD` Property for setting the password of the TSL verification truststore
`static String` | `PROP_TSL_STORETYPE` Property for setting the type, JKS or PKCS12, of the TSL verification trustore

Method Summary
`static boolean` | `isValid(String xml)`
`static void` | `reloadCertStore()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_TSL_STOREPWD

    public static final String PROP_TSL_STOREPWD

  Property for setting the password of the TSL verification truststore

  See Also:
    Constant Field Values

### PROP_TSL_STORELOCATION

    public static final String PROP_TSL_STORELOCATION

  Property for setting the location of the TSL verification truststore

  See Also:
    Constant Field Values

### PROP_TSL_STORETYPE

    public static final String PROP_TSL_STORETYPE

  Property for setting the type, JKS or PKCS12, of the TSL verification trustore

  See Also:
    Constant Field Values

Method Detail

### isValid

    public static boolean isValid(String xml)

### reloadCertStore

    public static void reloadCertStore()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.